package com.example;

import akka.actor.typed.ActorSystem;

import java.io.IOException;
public class AkkaQuickstart {
  public static void main(String[] args) {
    final ActorSystem<MessageMain.Create> messageMain = ActorSystem.create(MessageMain.create(), "callAround");

    messageMain.tell(new MessageMain.Create());

    try {
      System.out.println(">>> Press ENTER to exit <<<");
      System.in.read();
    } catch (IOException ignored) {
    } finally {
      messageMain.terminate();
    }
  }
}
